<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class item_iframes_event_Core {
  static function site_menu($menu, $theme) {
	$user = identity::active_user();
	$item = $theme->item;
	// If this page doesn't belong to an item, don't display the menu.
    if (!$theme->item()) {
      return;
    }
	if ($item->is_photo() && $user->admin ) {
      $menu->get("options_menu")
        ->append(Menu::factory("link")
                 ->id("iframe")
                 ->label(t("Iframe content"))
                 ->css_id("g-menu-iframe-link")
                 ->url(url::site("admin/item_iframe?item_id={$item->id}")));
    }
  }
  static function item_deleted($item) {
    // Whenever an item is deleted, delete any corresponding data.
    db::build()->delete("item_iframes")->where("item_id", "=", $item->id)->execute();
  }
}